Subject: bug#21928: closed (Re: bug#21928: 25.0.50; verilog-mode.el fails to compile, Symbol’s function definition is void: \,@)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 17 Nov 2015 00:30:05 +0000

Your bug report

#21928: 25.0.50; verilog-mode.el fails to compile, Symbol’s function definition is void: \,@

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21928: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21928
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21928: 25.0.50; verilog-mode.el fails to compile, Symbol’s function definition is void: \,@
From: Juanma Barranquero <[email-masked]>
To: Samer Masterson <[email-masked]>
Cc: Stefan Monnier <[email-masked]>, [email-masked]
Date: Tue, 17 Nov 2015 01:28:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Nov 16, 2015 at 4:32 AM, Samer Masterson <[email-masked]> wrote:

> Fixed with the following path. Not sure if it's correct, stefan can
> probably tell tho.

I hope it is the correct patch, as I fixed it yesterday with a patch
identical to yours.

Commit 937565268a5dc3377d4c9bff6d48eb3645a77160

Subject: 25.0.50; verilog-mode.el fails to compile, Symbol’s function definition is void: \,@
From: Samer Masterson <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 15 Nov 2015 19:32:11 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

There's a compile error in verilog-mode.el. I believe it was introduced
by commit 353f5e76641c338dc4bfe0ac8e9aa84d23bac1fe.

Fixed with the following path. Not sure if it's correct, stefan can
probably tell tho.

----------------------------patch start
diff --git a/lisp/progmodes/verilog-mode.el
b/lisp/progmodes/verilog-mode.el
index fa93633..3081060 100644
--- a/lisp/progmodes/verilog-mode.el
+++ b/lisp/progmodes/verilog-mode.el
@@ -3237,7 +3237,7 @@ verilog-save-buffer-state
   `(let ((inhibit-point-motion-hooks t)
          (verilog-no-change-functions t))
      ,(if (fboundp 'with-silent-modifications)
-          (with-silent-modifications ,@body)
+          `(with-silent-modifications ,@body)
         ;; From c-save-buffer-state
         `(let* ((modified (buffer-modified-p))
                 (buffer-undo-list t)
----------------------------patch end

Best,
Samer